<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@10230D=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time for Races"> <comment>Works for all timed race events - 100M Race, 100M Freestyle, 400M Relay + 110M Hurdles.</comment>
    <script state="run">
      <action>maincpu.pb@1038B3=00</action>
    </script>
  </cheat>

  <cheat desc="Always run Very Fast PL1">
    <script state="run">
      <action>maincpu.pb@10377B=FF</action>
    </script>
  </cheat>

  <cheat desc="Always run Very Fast PL2">
    <script state="run">
      <action>maincpu.pb@1037CB=FF</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="100M Freestyle"/>
  <cheat desc="----------------"/>

  <cheat desc="Infinite Oxygen PL1">
    <script state="run">
      <action>maincpu.pb@10377D=30</action>
    </script>
  </cheat>

  <cheat desc="Always swim Very Fast PL1">
    <script state="run">
      <action>maincpu.pb@10377B=F6</action>
    </script>
  </cheat>

  <cheat desc="Infinite Oxygen PL2">
    <script state="run">
      <action>maincpu.pb@1037CD=30</action>
    </script>
  </cheat>

  <cheat desc="Always swim Very Fast PL2">
    <script state="run">
      <action>maincpu.pb@1037CB=F6</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="Pole Vault"/>
  <cheat desc="------------"/>

  <cheat desc="Successful Vault always = 29 Metres PL1">
    <script state="run">
      <action>maincpu.pb@1033C1=29</action>
    </script>
  </cheat>

  <cheat desc="Successful Vault always = 29 Metres PL2">
    <script state="run">
      <action>maincpu.pb@1033C5=29</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
